<template>
    <div>
        <input type="number" v-model="id"/>
        <button v-on:click="getById(id)">
            press me, senpai
        </button>
    </div>
</template>

<script>
    export default {
        name: "GetSpellbookInfo",
        methods: {
            getById: function (id) {
                fetch(`http://localhost:8088/api/spellbook/${id}/render/info`)
                    .then(response => response.json())
                    .then(response => {
                        this.spellbookRender = response;
                        console.log("spellbook render now is ", this.spellbookRender);
                        this.$emit("spellbookById", this.spellbookRender);
                        this.spellbookRender = null;
                    });
            }
        },
        data() {
            return {
                id: null,
                spellbookRender: null
            }
        }
    }
</script>

<style scoped>

</style>